/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

html {
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
}

/* ------------------------------------------------ Start Code Menü */

  body {
    background-color: white ;
    margin: 0px;
    padding: 0px;
    font-family: 'GT Cinetyp Regular';
    font-weight: thin;
    font-size: 22px;
    line-height: 1.2;
    background-image: url('01-modell.png'); 
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    height: 100vh; 
    /* display: flex;
    justify-content: center;
    align-items: center; */
}

@font-face {
    font-family: 'GT Cinetyp Regular';
    src: url(GTCinetypeRegular.woff) format('woff');
    color: black;
    font-weight: thin;
    font-style: normal;
}

@font-face {
  font-family: 'GT Cinetyp Regular';
  src: url(GT-Cinetype-Bold.woff2) format('woff2');
  color: black;
  font-weight: bold;
  font-style: normal;

}


  header {
    padding: 15px;  
    padding-left: 25px;
    z-index: 1000; 
    position: fixed; 
    background-color: white; 
    width: 100vw;
    height: 52px;
    /* background: linear-gradient(to bottom, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0)); Verlauf von Weiß (vollständig sichtbar) nach transparent (nicht sichtbar) */
}

.verlauf {
    height: 100px;
    width: 100vw;
}

nav {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    z-index: 100; 
  }

  nav a {
    color: black;
    text-decoration: none;
    padding-top: 15px;
    padding-right: 60px;
    display: block;
    z-index: 100;
  }

  nav a:hover {
    color: green;
    z-index: 100;
    /* border: 2px solid green;
    border-radius: 30px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center; */
  }

  /* Dropdown styling */
  .dropdown {
    position: relative;
    display: inline-block;
    z-index: 1000;
  }

  .dropdown-content {
    display: none;
    position: absolute;
    -webkit-backdrop-filter: blur(50px);
    backdrop-filter: blur(50px);
    z-index: 100;
  }

  .dropdown:hover .dropdown-content {
    display: block;
    z-index: 100;
  }

  .dropdown-content a {
    color:black;
    padding: 12px 16px;
    display: block;
    z-index: 100;
  }

  .dropdown-content a:hover {
    color: green;
    z-index: 100;
  }

  .download {
    text-decoration: none !important;
    color: black;
    font-weight: thin;
  }

  .mail {
    text-decoration: none !important;
    cursor: pointer;
  }

/* ------------------------------------------------ Ende Code Menü */

#textWindow {
    position: relative;
    left: 15px;
    width: 50%;
    -webkit-backdrop-filter: blur(50px);
    backdrop-filter: blur(50px);
    display: none;
}

.textWindow {
  position: relative;
  left: 15px;
  width: 50%;
  -webkit-backdrop-filter: blur(50px);
  backdrop-filter: blur(50px);
  display: none;
  z-index: 999;
}

.textContent  {
  display: none;
}


#closeButton {
    position: absolute;
    cursor: pointer;
    margin: 15px;
}

.closeButton {
    cursor: pointer;
    margin: 15px;
    /* width: 40px;
    height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    -webkit-backdrop-filter: blur(50px);
    backdrop-filter: blur(50px);
    border: 2px solid green;
    border-radius: 25px; */
    color: green;
    /* font-size: 25px;
    transition: transform 0.1s ease-out;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);   */
}

  .text {
    padding: 15px;
    text-decoration: none;
    color: black;
    font-weight: thin;
  }

  /* .text-stiftungsrat {
    padding: 15px;
    text-decoration: none;
    color: black;
    display: flex;
    flex-wrap: wrap;
  }

  .bild-in-text {
    width: 95%;
    border-radius: 20px;
    flex: 2;
    box-sizing: border-box;
  } */

  /* .column {
    margin: 0 10px 10px 0;
    flex-basis: calc(50% - 10px);
    gap: 20px;
  } */

    #textWindowStiftungsrat {
      padding: 15px; /* Abstand zum Container-Rand */
  }

    #textWindowStiftungsrat .text-Stiftungsrat {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -ms-flex-wrap: wrap;
          flex-wrap: wrap;
      gap: 20px; /* Abstand zwischen den Spalten */
  }

  #textWindowStiftungsrat .column {
      -ms-flex-preferred-size: calc(50% - 10px);
          flex-basis: calc(50% - 10px); /* Jede Spalte nimmt die Hälfte der Breite minus halben Abstand ein */
      margin-bottom: 20px; /* Abstand zwischen den Zeilen */
  }

  #textWindowStiftungsrat .bild-in-text {
      border-radius: 20px;
      width: 100%;
      height: auto;
      margin-bottom: 10px; /* Optional: Abstand unter den Bildern */
      margin-top: 10px;
  }

  #textWindowStiftungsrat p {
      margin: 5px 0; /* Abstand zwischen den Absätzen */
  }
  

/* ------------------------------------------------  */

  #container {
    position: fixed;
    top: 50%;
    right: 15vw;
    -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
            transform: translateY(-50%);
    overflow: hidden; /* overflow: hidden nur auf den Container anwenden */
    width: 220px; /* Breite des Containers erhöht */
    height: 220px; /* Höhe des Containers erhöht */
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    text-decoration: none;
  }

  #donation-bar {
    font-family: 'GT Cinetyp Regular';
    cursor: pointer;
    text-decoration: none;
    width: 200px;
    height: 50px;
    -webkit-backdrop-filter: blur(50px);
    backdrop-filter: blur(50px);
    border: 2px solid green;
    border-radius: 25px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    color: green;
    font-size: 25px;
    -webkit-transition: -webkit-transform 0.1s ease-out;
    transition: -webkit-transform 0.1s ease-out;
    -o-transition: transform 0.1s ease-out;
    transition: transform 0.1s ease-out;
    transition: transform 0.1s ease-out, -webkit-transform 0.1s ease-out;
    -webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);

  }

  /* #donation-bar:hover {
    transform: rotate(360deg);
  } */

  #donation-popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    -webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    z-index: 1000;
  }

  #close-btn {
    position: absolute;
    top: -35px;
    right: 10px;
    padding-left: 5px;
    padding-right: 5px;
    background-color: #fff;
    border-radius: 5px;
    cursor: pointer;
    font-family: 'GT Cinetyp Regular';
    -webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);

  }

  #donation-popup p {
    margin: 0;
  }

  #donation-bar:hover {
    -webkit-animation: vibrate 0.5s ease infinite;
            animation: vibrate 0.5s ease infinite; /* Starte die Vibrationsanimation nur beim Hover */
    -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
            transform: rotate(0deg); /* Setze die Rotation auf 0 Grad beim Hover zurück */
  }

  #pdfModal {
    display: none;
    position: fixed;
    z-index: 99999;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    -webkit-backdrop-filter: blur(50px);
    backdrop-filter: blur(50px);
    border-radius: 25px;
  }

/* Stil für den Modal-Inhalt */
#pdfModal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 800px;
    -webkit-backdrop-filter: blur(50px);
    backdrop-filter: blur(50px);
    padding: 20px;
    border: 2px solid green;
    border-radius: 25px;
  -webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
          box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);

}

#pdf {
  font-family: 'GT Cinetyp Regular';
  cursor: pointer;
  text-decoration: none;
  width: 200px;
  height: 50px;
  -webkit-backdrop-filter: blur(50px);
  backdrop-filter: blur(50px);
  border: 2px solid green;
  border-radius: 25px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  color: green;
  font-size: 25px;
  -webkit-transition: -webkit-transform 0.1s ease-out;
  transition: -webkit-transform 0.1s ease-out;
  -o-transition: transform 0.1s ease-out;
  transition: transform 0.1s ease-out;
  transition: transform 0.1s ease-out, -webkit-transform 0.1s ease-out;
  -webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
          box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);

}

#pdf-close {
  font-family: 'GT Cinetyp Regular';
  cursor: pointer;
  text-decoration: none;
  width: 170px;
  height: 50px;
  -webkit-backdrop-filter: blur(50px);
  backdrop-filter: blur(50px);
  border: 2px solid green;
  border-radius: 25px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  color: green;
  font-size: 25px;
  -webkit-transition: -webkit-transform 0.1s ease-out;
  transition: -webkit-transform 0.1s ease-out;
  -o-transition: transform 0.1s ease-out;
  transition: transform 0.1s ease-out;
  transition: transform 0.1s ease-out, -webkit-transform 0.1s ease-out;
  -webkit-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
          box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);

}

.mehr-text {
  display: none;
}

.button {
  font-family: 'GT Cinetyp Regular';
  cursor: pointer;
  text-decoration: none;
  width: 160px;
  height: 40px;
  background-color: rgba(0, 255, 123, 0.242);
  border: 2px solid green;
  border-radius: 25px;
  color: green;
  font-size: 22px;
}

.button:hover {
  -webkit-animation: vibrate 0.8s ease infinite;
  animation: vibrate 0.8s ease infinite; /* Starte die Vibrationsanimation nur beim Hover */
  -webkit-transform: rotate(0deg);
  -ms-transform: rotate(0deg);
  transform: rotate(0deg); /* Setze die Rotation auf 0 Grad beim Hover zurück */
}

.bild {
  width: 80%;
  border-radius: 25px;
}

.pdf-bild {
  width: 100%;
  background-color: white;
}

  /* Definiere die Vibrationsanimation */
  @-webkit-keyframes vibrate {
    0%, 100% {
      -webkit-transform: translateX(0);
              transform: translateX(0);
    }
    25% {
      -webkit-transform: translateX(-5px);
              transform: translateX(-5px);
    }
    50% {
      -webkit-transform: translateX(5px);
              transform: translateX(5px);
    }
    75% {
      -webkit-transform: translateX(-5px);
              transform: translateX(-5px);
    }
  }
  @keyframes vibrate {
    0%, 100% {
      -webkit-transform: translateX(0);
              transform: translateX(0);
    }
    25% {
      -webkit-transform: translateX(-5px);
              transform: translateX(-5px);
    }
    50% {
      -webkit-transform: translateX(5px);
              transform: translateX(5px);
    }
    75% {
      -webkit-transform: translateX(-5px);
              transform: translateX(-5px);
    }
  }

  @media only screen and (min-width: 300px) and (max-width: 900px) {
    body {
      font-size: 10px;
      }

      header {
        height: 25px;
        padding: 10px;
      }

      nav a {
        font-size: 8px;
        padding-top: 5px;
        padding-right: 5px;
      }

      .verlauf {
        height: 80px;
      }

      #textWindowStiftungsrat {
        padding: 5px;
      }

      .text {
        padding: 5px;
      }

      .closeButton {
        margin: 5px;
      }

      .dropdown-content a {
        color:black;
        padding: 5px 6px;
        display: block;
        z-index: 100;
      }

      .textWindow {
        width: 90vw;
      }

      #pdf {
        height: 15px;
        width: 80px;
        font-size: 10px;
        border: 1px solid green;
      }


      #container {
        top: 93vh;
        z-index: 999;
        right: 2vw;
      }

      .verlauf {
        height: 60px;
      }




    }

    @media only screen and (min-width: 768px) and (max-width: 1024px) {

      .verlauf {
        height: 100px;
      }

      header {
        font-size: 20px;
        height: 25px;
        padding: 20px;
      }

      nav a {
        padding-top: 5px;
        padding-right: 30px;
      }

      #pdf {
        height: 40px;
        width: 200px;
        font-size: 25px;
        border: 1.5px solid green;
      }

    }